// gnome.xonotic.in.ua

models/mapobjects/el_tele/beam
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	q3map_lightimage models/mapobjects/el_tele/beam.tga
	{
		map models/mapobjects/el_tele/beam.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
		tcmod scroll 0 1
	}
	{
		map models/mapobjects/el_tele/beam_fx2.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
	}
	{
		map models/mapobjects/el_tele/beam_fx.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
		tcmod scroll 0 2
	}
}

models/mapobjects/el_tele/el_tele
{
	{
		map models/mapobjects/el_tele/el_tele.tga
		rgbgen lightingdiffuse
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map models/mapobjects/el_tele/el_tele_blend.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1
	}
}

textures/arctic/arc_sky2
{
	qer_editorimage textures/arctic/arc_sky2.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 45 0 70
	q3map_surfacelight 75
	skyparms env/arcsky/arcsky2 - -
}

textures/arctic/brick3_1
{
	q3map_normalimage textures/arctic/brick3_1_bump.tga
	{
		map $lightmap
	}
	{
		map textures/arctic/brick3_1.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/arctic/brick3_3
{
	q3map_normalimage textures/arctic/brick3_3_bump.tga
	{
		map $lightmap
	}
	{
		map textures/arctic/brick3_3.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/arctic/flag1_1
{
	qer_editorimage textures/arctic/flag1_1.tga
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/arctic/flag1_1.tga
		rgbgen identity
	}
	{
		map textures/arctic/flag1_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/arctic/floor2_1
{
	qer_editorimage textures/arctic/floor2_1.tga
	{
		map textures/effects/tinfx.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/arctic/floor2_1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/arctic/floor3_2
{
	qer_editorimage textures/arctic/floor3_2.tga
	{
		map textures/effects/tinfx.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/arctic/floor3_2.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/arctic/floorgrate1_2
{
	qer_editorimage textures/arctic/floorgrate1_2.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/arctic/floorgrate1_2.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/arctic/glass1
{
	qer_editorimage textures/arctic/glass1.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/arctic/health_pad
{
	qer_editorimage textures/arctic/concrete1_14.tga
	q3map_lightimage textures/arctic/concrete1_14.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/arctic/concrete1_14.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/concrete1_14.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0.5 0.5 0 0.5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/arctic/concrete1_14.fx.tga
		tcmod rotate 180
		blendfunc gl_one gl_one
	}
}

textures/arctic/jumppad1_2_concrete
{
	qer_editorimage textures/arctic/jumppad1_4.tga
	q3map_lightimage textures/arctic/jumppad1_1.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		clampmap textures/arctic/jumppad1_1.fx.tga
		tcmod stretch sawtooth .1 6.5 1 1
		rgbgen identity
	}
	{
		map textures/arctic/jumppad1_4.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map textures/arctic/jumppad1_1.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0.5 0.5 0 0.5
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/arctic/jumppad1_2_floor
{
	qer_editorimage textures/arctic/jumppad1_6.tga
	q3map_lightimage textures/arctic/jumppad1_1.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		clampmap textures/arctic/jumppad1_1.fx.tga
		tcmod stretch sawtooth .1 6.5 1 1
		rgbgen identity
	}
	{
		map textures/arctic/jumppad1_6.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map textures/arctic/jumppad1_1.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0.5 0.5 0 0.5
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/arctic/light1_2_1k
{
	qer_editorimage textures/arctic/light1_2.tga
	q3map_lightimage textures/arctic/jumppad1_1.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/light1_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scale 1 1
	}
	{
		map textures/arctic/light1_2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/light2_1_1k
{
	qer_editorimage textures/arctic/light2_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/light2_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/light2_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/light2_2_1k
{
	qer_editorimage textures/arctic/light2_2.tga
	q3map_lightimage textures/arctic/light2_2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/light2_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/light2_2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/light3_1_1k
{
	qer_editorimage textures/arctic/light3_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/light3_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/light3_2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/light7_2_1k
{
	qer_editorimage textures/arctic/light7_2.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/light7_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/light7_2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/light8_4_1k
{
	qer_editorimage textures/arctic/light8_4.tga
	q3map_lightimage textures/arctic/light8_2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/light8_4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/light8_2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/support5_2
{
	qer_editorimage textures/arctic/support5_2.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/arctic/support5_2.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/arctic/trim1_10
{
	qer_editorimage textures/arctic/trim1_10.tga
	q3map_lightimage textures/arctic/trim1_10.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/arctic/trim6_1.fx.tga
		tcmod scale .500 0
		tcmod scroll 1 0
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/trim1_10.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/arctic/trim1_9_1k
{
	qer_editorimage textures/arctic/trim1_9.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/arctic/trim1_9.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/trim1_9.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/arctic/trim4_1
{
	q3map_normalimage textures/arctic/trim4_1_bump.tga
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/arctic/trim4_1.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/arctic/trim6_1_50_fx
{
	qer_editorimage textures/arctic/trim6_1.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/arctic/trim6_1.fx.tga
		tcmod scale 100 100
		tcmod scroll 3 0
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/arctic/trim6_1.fx.tga
		tcmod scale .500 0
		tcmod scroll 1 0
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/arctic/trim6_1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/arctic/wall1_3_shiny
{
	qer_editorimage textures/arctic/wall1_3.tga
	{
		map textures/effects/tinfx2.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/arctic/wall1_3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/qxdm4/grate
{
	qer_editorimage textures/qxdm4/grate.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_shadeangle 180
	q3map_nonplanar
	cull disable
	{
		map textures/qxdm4/grate.tga
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
		depthfunc equal
	}
}

textures/sfx/fog_timctf1
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .729 .729 .780 ) 464
}

